Name: libgphoto2
Version: 2.1.1
Release: alt1

Summary: Library to access to digital cameras
Summary (ru_RU.UTF-8): Библиотека функций ддя работы с цифровыми фотокамерами
License: LGPL
Group: Graphics
Url: http://gphoto.sourceforge.net
Source: %name-%version.tar.bz2
Patch1: %name-%version-nodebugopt.patch
Requires: libusb libgpio
Obsoletes: hackgphoto2
BuildRequires: docbook-dtds docbook-style-dsssl glibc-devel-static gtk-doc libexif-devel liblockdev-devel libltdl-devel libusb-devel openjade pkgconfig rootfiles sgml-common

%description
This library contains all the functionality to access to modern digital
cameras via USB or the serial port.

%description -l ru_RU.UTF-8
Библиотека предоставляет все необходимые функции для обмена данными 
с современными цифровыми фотокамерами посредством USB или последовательного порта.

%package -n libgphoto2-devel
Summary: Headers and links to compile against the "libgphoto2" library
Summary (ru_RU.UTF-8): Заглавные файлы и ссылки необходимые при компиляции с библиотекой "libgphoto2"
Requires: libgphoto2 = %version-%release
Provides: libgphoto-devel
Group: Graphics

%description -n libgphoto2-devel
This package contains all files which one needs to compile programs using
the "libgphoto2" library.

%description -n libgphoto2-devel  -l ru_RU.UTF-8
Пакет содержит все необходимые файлы для компиляции программ, использующих
библиотеку "libgphoto2".

%package -n libgphoto2-devel-static
Summary: Static libraries to compile against the "libgphoto2" library
Summary (ru_RU.UTF-8): Статические версии библиотек для компиляции с библиотекой "libgphoto2"
Requires: libgphoto2-devel = %version-%release
Provides: libgphoto-devel-static
Group: Graphics

%description -n libgphoto2-devel-static
This package contains static libraries which one needs to compile programs using
the "libgphoto2" library.

%description -n libgphoto2-devel-static  -l ru_RU.UTF-8
Пакет содержит статические версии библиотек для компиляции программ, использующих
библиотеку "libgphoto2".

%prep
%setup -q
%patch1 -p1

%build
touch libgphoto2_port/doc/DocRules.am

for dir in . libgphoto2_port; do
pushd $dir
    autoconf_2.5
    libtoolize --copy --force
popd
done

%configure --with-drivers=all --disable-debugging --enable-docs
make

%install
%makeinstall
%find_lang libgphoto2-2 --output=%name.lang
%find_lang libgphoto2_port-0 --append --output=%name.lang
mv doc/api/html doc/api/libgphoto2
mv libgphoto2_port/doc/html libgphoto2_port/doc/libgphoto2_port
mkdir doc/linux-hotplug
cp packaging/linux-hotplug/usbcam.* doc/linux-hotplug

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f %name.lang
%doc README NEWS TESTERS AUTHORS HACKING CHANGES doc/DAEMON doc/linux-hotplug
%_datadir/%name
%_libdir/%name
%_libdir/*.so.*
%dir %_libdir/gphoto2
%dir %_libdir/gphoto2/%version
%_libdir/gphoto2/%version/*.so
%dir %_libdir/gphoto2_port
%dir %_libdir/gphoto2_port/0.5.1
%_libdir/gphoto2_port/0.5.1/*.so
%_man3dir/*

%files -n libgphoto2-devel
%doc doc/api/libgphoto2 doc/*devel.txt doc/*devel.lyx
%doc libgphoto2_port/doc/libgphoto2_port
%_includedir/gphoto2
%_libdir/*.so
%_libdir/*.la
%_libdir/gphoto2/%version/*.la
%_libdir/gphoto2_port/0.5.1/*.la
%_libdir/pkgconfig/*
%_bindir/*-config

%files -n libgphoto2-devel-static
%_libdir/*.a
%_libdir/gphoto2/%version/*.a
%_libdir/gphoto2_port/0.5.1/*.a

%changelog
* Fri Mar 21 2003 Vyacheslav Dikonov <slava@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Wed Oct 23 2002 Konstantin Volckov <goldhead@altlinux.ru> %2.1.0-alt1
- Rebuilt in new environment
- Rebuilt with liblockdev
- Some spec fixes
- 2.1.0

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt2
- Rebuild with new binutils

* Fri Mar 01 2002 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt1
- Release gphoto2 2.0

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.3cvs20011204
- Build from CVS
- Rebuild with new libusb

* Fri Aug 24 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.0-alt0.2beta1
- Added devel-static package
- Some spec cleanup
- Fixed filelists

* Fri Aug 23 2001 Rider <rider@altlinux.ru> 2.0-alt0.1beta1
- first BUILD for ALT

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.2mdk
- Corrected "Requires:"

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 2.0-0.beta1.1mdk
- Initial release
